// 固定图表
export const defaultOptions = {
  color: ['#079FFD', '#13EDF5', '#3815BB', '#366CDA', '#00FFAE'],
  legend: {
    textStyle: {
      color: '#D7E4E8',
    },
  },
  grid: {
    top: '3%',
    left: '2%',
    right: '2%',
    bottom: '2%',
    containLabel: true,
    borderColor: 'rgba(216, 216, 216, 0.6)',
    borderWidth: '0.25px',
  },
  xAxis: {
    axisLabel: {
      color: '#D8E4E8',
    },
    axisLine: {
      lineStyle: {
        color: '#D8D8D8',
      },
    },
    splitLine: {
      lineStyle: {
        color: '#fff',
        opacity: 0.4,
      },
    },
    nameTextStyle: {
      fontSize: 10,
    },
  },
  yAxis: {
    axisLabel: {
      color: '#D8E4E8',
    },
    axisLine: {
      lineStyle: {
        color: '#D8D8D8',
      },
    },
    nameTextStyle: {
      fontSize: 10,
    },
    splitLine: {
      lineStyle: {
        color: '#fff',
        opacity: 0.4,
      },
    },
  },
};
export const getOptions = () => {
  return {
    ...defaultOptions,
    color: [
      'rgba(0, 200, 255, 0.6)',
      'rgba(0, 200, 255, 0.5)',
      'rgba(0, 200, 255, 0.4)',
      'rgba(0, 200, 255, 0.3)',
      'rgba(0, 200, 255, 0.2)',
    ],
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'cross',
        label: {
          backgroundColor: '#6a7985',
        },
      },
    },
    legend: {
      data: ['1', '2', '3', '4', '5'],
      textStyle: {
        color: '#D7E4E8',
      },
    },
    grid: {
      left: '3%',
      right: '4%',
      bottom: '3%',
      containLabel: true,
      show: true,
      borderColor: 'rgba(216, 216, 216, 0.6)',
      borderWidth: '0.25px',
    },
    xAxis: [
      {
        type: 'category',
        boundaryGap: false,
        data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日'],
        axisLine: {
          lineStyle: {
            color: '#D8D8D8',
          },
        },
        axisLabel: {
          color: '#D8E4E8',
        },
      },
    ],
    yAxis: [
      {
        type: 'value',
        axisLine: {
          lineStyle: {
            color: '#D8D8D8',
          },
        },
        axisLabel: {
          // formatter: '{value}%',
          color: '#D8E4E8',
        },
      },
    ],
    series: [
      {
        name: '1',
        type: 'line',
        stack: '总量',
        areaStyle: {},
        emphasis: {
          focus: 'series',
        },
        data: [120, 132, 101, 134, 90, 230, 210],
        lineStyle: {
          color: '#03DDFF',
        },
      },
      {
        name: '2',
        type: 'line',
        stack: '总量',
        areaStyle: {},
        emphasis: {
          focus: 'series',
        },
        data: [220, 182, 191, 234, 290, 330, 310],
        lineStyle: {
          color: '#03DDFF',
        },
      },
      {
        name: '3',
        type: 'line',
        stack: '总量',
        areaStyle: {},
        emphasis: {
          focus: 'series',
        },
        data: [150, 232, 201, 154, 190, 330, 410],
        lineStyle: {
          color: '#03DDFF',
        },
      },
      {
        name: '4',
        type: 'line',
        stack: '总量',
        areaStyle: {},
        emphasis: {
          focus: 'series',
        },
        data: [320, 332, 301, 334, 390, 330, 320],
        lineStyle: {
          color: '#03DDFF',
        },
      },
      {
        name: '5',
        type: 'line',
        stack: '总量',
        areaStyle: {},
        emphasis: {
          focus: 'series',
        },
        data: [820, 932, 901, 934, 1290, 1330, 1320],
        lineStyle: {
          color: '#03DDFF',
        },
      },
    ],
  };
};

export const getOptions2 = () => {
  return {
    ...defaultOptions,
    // color: [
    //   {
    //     type: 'linear',
    //     x: 0,
    //     y: 0,
    //     x2: 0,
    //     y2: 1,
    //     colorStops: [
    //       {
    //         offset: 0,
    //         color: 'rgba(153, 255, 232, 0.30)', // 0% 处的颜色
    //       },
    //       {
    //         offset: 1,
    //         color: 'rgba(96, 209, 255, 0.5)', // 100% 处的颜色
    //       },
    //     ],
    //     global: false, // 缺省为 false
    //   },
    //   {
    //     type: 'linear',
    //     x: 0,
    //     y: 0,
    //     x2: 0,
    //     y2: 1,
    //     colorStops: [
    //       {
    //         offset: 0,
    //         color: 'rgba(153, 255, 232, 0.80)', // 0% 处的颜色
    //       },
    //       {
    //         offset: 1,
    //         color: 'rgba(96, 209, 255, 1)', // 100% 处的颜色
    //       },
    //     ],
    //     global: false, // 缺省为 false
    //   },
    //   '#03DDFF',
    // ],
    grid: {
      top: 34,
      left: '2%',
      right: '2%',
      bottom: 10,
      containLabel: true,
    },
    legend: {
      data: ['1', '2', '3'],
      ...defaultOptions.legend,
    },
    xAxis: [
      {
        type: 'category',
        data: [
          '1月',
          '2月',
          '3月',
          '4月',
          '5月',
          '6月',
          '7月',
          '8月',
          '9月',
          '10月',
          '11月',
          '12月',
        ],
        axisPointer: {
          type: 'shadow',
        },
        ...defaultOptions.xAxis,
      },
    ],
    yAxis: [
      {
        type: 'value',
        name: '水量',
        min: 0,
        max: 250,
        interval: 50,
        ...defaultOptions.yAxis,
        axisLabel: {
          formatter: '{value} ml',
        },
      },
      {
        type: 'value',
        name: '温度',
        min: 0,
        max: 25,
        interval: 5,
        ...defaultOptions.yAxis,
        axisLabel: {
          formatter: '{value} °C',
        },
      },
    ],
    series: [
      {
        name: '1',
        type: 'bar',
        data: [
          2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3,
        ],
      },
      {
        name: '2',
        type: 'bar',
        data: [
          2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3,
        ],
      },
      {
        name: '3',
        type: 'line',
        yAxisIndex: 1,
        data: [
          2.0, 2.2, 3.3, 4.5, 6.3, 10.2, 20.3, 23.4, 23.0, 16.5, 12.0, 6.2,
        ],
      },
    ],
  };
};

export const getOptions3 = () => {
  return {
    color: defaultOptions.color,
    tooltip: {
      trigger: 'item',
    },
    legend: {
      top: '3%',
      left: 'center',
      ...defaultOptions.legend,
    },
    series: [
      {
        name: '来源',
        type: 'pie',
        radius: ['40%', '60%'],
        center: ['50%', '60%'],
        avoidLabelOverlap: false,
        label: {
          show: false,
          position: 'center',
        },
        emphasis: {
          label: {
            show: true,
            fontSize: '14',
            fontWeight: 'bold',
            color: '#fff',
          },
        },
        labelLine: {
          show: false,
        },
        data: [
          { value: 1048, name: '1' },
          { value: 735, name: '2' },
          { value: 580, name: '3' },
          { value: 484, name: '4' },
          { value: 300, name: '5' },
        ],
      },
    ],
  };
};

export const getOptions4 = () => {
  return {
    // color: defaultOptions.color,
    // grid: defaultOptions.grid,
    ...defaultOptions,
    color: ['#079FFD', '#079FFD'], // , '#FFAA00'
    xAxis: {
      scale: true,
      ...defaultOptions.xAxis,
    },
    yAxis: {
      scale: true,
      ...defaultOptions.yAxis,
    },
    series: [
      {
        type: 'effectScatter',
        // symbolSize: 20,
        data: [
          [172.7, 105.2],
          [153.4, 42],
        ],
      },
      {
        type: 'scatter',
        data: [
          [161.2, 51.6],
          [167.5, 59.0],
          [176.2, 66.8],
          [160.2, 75.2],
          [175.0, 82.5],
          [166.8, 57.2],
          [176.5, 87.8],
          [170.2, 72.8],
          [174.0, 54.5],
          [173.0, 59.8],
          [179.9, 67.3],
          [170.5, 67.8],
          [160.0, 47.0],
          [154.4, 46.2],
          [162.0, 55.0],
          [167.6, 61.0],
          [160.7, 69.1],
          [163.2, 55.9],
          [152.4, 46.5],
          [157.5, 54.3],
          [168.3, 54.8],
          [180.3, 60.7],
          [165.5, 60.0],
          [165.0, 62.0],
          [164.5, 60.3],
          [156.0, 52.7],
          [160.0, 74.3],
          [163.0, 62.0],
          [165.7, 73.1],
          [161.0, 80.0],
          [162.0, 54.7],
          [166.0, 53.2],
          [174.0, 75.7],
          [161.2, 54.8],
          [155.0, 45.9],
          [170.0, 70.6],
          [176.2, 67.2],
          [170.0, 69.4],
          [162.5, 58.2],
          [170.3, 64.8],
          [164.1, 71.6],
          [169.5, 52.8],
          [163.2, 59.8],
          [164.3, 59.8],
          [163.0, 72.0],
          [168.5, 65.2],
          [166.8, 56.6],
          [172.7, 105.2],
          [155.0, 49.2],
          [156.5, 67.2],
          [164.0, 53.8],
          [160.9, 54.4],
          [162.8, 58.0],
          [167.0, 59.8],
          [160.0, 54.8],
          [160.0, 43.2],
          [168.9, 60.5],
          [158.2, 46.4],
          [156.0, 64.4],
          [160.0, 48.8],
          [167.1, 62.2],
          [158.0, 55.5],
          [167.6, 57.8],
          [172.7, 69.5],
          [167.6, 76.4],
          [162.6, 61.4],
          [167.6, 65.9],
          [156.2, 58.6],
          [175.2, 66.8],
          [172.1, 56.6],
          [162.6, 58.6],
          [160.0, 55.9],
          [165.1, 59.1],
          [182.9, 81.8],
          [166.4, 70.7],
          [165.1, 56.8],
          [175.3, 65.5],
          [157.5, 48.6],
          [163.8, 58.6],
          [167.6, 63.6],
          [165.1, 55.2],
          [165.1, 62.7],
          [168.9, 56.6],
          [174.0, 55.5],
          [176.5, 71.8],
          [164.4, 55.5],
          [160.7, 48.6],
          [174.0, 66.4],
          [163.8, 67.3],
        ],
      },
    ],
  };
};

export const getOptions5 = () => {
  return {
    ...defaultOptions,
    color: ['#079FFD', '#366CDA', '#13EDF5'],
    dataset: {
      source: [
        ['product', '2015', '2016', '2017'],
        ['1号', 43.3, 85.8, 93.7],
        ['8号', 83.1, 73.4, 55.1],
        ['16号', 86.4, 65.2, 82.5],
        ['24号', 72.4, 53.9, 39.1],
      ],
    },
    grid: {
      top: 34,
      left: '2%',
      right: '2%',
      bottom: 10,
      containLabel: true,
    },
    xAxis: { type: 'category', ...defaultOptions.xAxis },
    series: [{ type: 'bar' }, { type: 'bar' }, { type: 'bar' }],
  };
};

export const getOptions6 = () => {
  return {
    ...defaultOptions,
    // color: [
    //   {
    //     type: 'linear',
    //     x: 0,
    //     y: 0,
    //     x2: 0,
    //     y2: 1,
    //     colorStops: [
    //       {
    //         offset: 0,
    //         color: 'rgba(0, 199, 255, 1)', // 0% 处的颜色
    //       },
    //       {
    //         offset: 1,
    //         color: 'rgba(71, 194, 251, 0)', // 100% 处的颜色
    //       },
    //     ],
    //     global: false, // 缺省为 false
    //   },
    // ],
    xAxis: {
      type: 'category',
      boundaryGap: false,
      ...defaultOptions.xAxis,
    },
    yAxis: {
      type: 'value',
      boundaryGap: [0, '30%'],
      ...defaultOptions.yAxis,
    },
    // visualMap: {
    //   type: 'piecewise',
    //   show: false,
    //   dimension: 0,
    //   seriesIndex: 0,
    //   pieces: [
    //     {
    //       gt: 1,
    //       lt: 3,
    //       color: 'rgba(177,225,255, 0.4)',
    //     },
    //     {
    //       gt: 5,
    //       lt: 7,
    //       color: 'rgba(177,225,255, 0.4)',
    //     },
    //   ],
    // },
    series: [
      {
        type: 'line',
        smooth: 0.6,
        symbol: 'none',
        // markLine: {
        //   symbol: ['none', 'none'],
        //   label: { show: false },
        //   data: [{ xAxis: 1 }, { xAxis: 3 }, { xAxis: 5 }, { xAxis: 7 }],
        // },
        areaStyle: {},
        data: [
          ['2019-10-10', 90],
          ['2019-10-11', 105],
          ['2019-10-12', 115],
          ['2019-10-13', 124],
          ['2019-10-14', 138],
          ['2019-10-15', 145],
          ['2019-10-16', 150],
          ['2019-10-17', 167],
          ['2019-10-18', 175],
        ],
        lineStyle: {
          color: '#03DDFF',
          width: 3,
        },
      },
    ],
  };
};

export const getOptions7 = () => {
  return {
    ...defaultOptions,
    color: ['#13EDF5', '#366CDA', '#079FFD'],
    tooltip: {
      trigger: 'axis',
      axisPointer: {
        type: 'shadow', // 默认为直线，可选为：'line' | 'shadow'
      },
    },
    grid: {
      top: 34,
      left: '2%',
      right: '2%',
      bottom: 10,
      containLabel: true,
    },
    xAxis: [
      {
        type: 'value',
        ...defaultOptions.xAxis,
      },
    ],
    yAxis: [
      {
        type: 'category',
        axisTick: {
          show: false,
        },
        data: ['周一', '周二', '周三', '周四'],
        ...defaultOptions.yAxis,
      },
    ],
    series: [
      {
        name: '利润',
        type: 'bar',
        label: {
          show: true,
          position: 'inside',
        },
        emphasis: {
          focus: 'series',
        },
        data: [200, 170, 240, 244],
      },
      {
        name: '收入',
        type: 'bar',
        stack: '总量',
        label: {
          show: true,
        },
        emphasis: {
          focus: 'series',
        },
        data: [320, 302, 341, 374],
      },
      {
        name: '支出',
        type: 'bar',
        stack: '总量',
        label: {
          show: true,
          position: 'left',
        },
        emphasis: {
          focus: 'series',
        },
        data: [-120, -132, -101, -134],
      },
    ],
  };
};
