export const CHILD_MAP: { [key: string]: DataMeter.ILayoutChild[] } = {
  ProjectInfo: [
    {
      title: '项目编号',
      key: 'Code',
      show: true,
    },
    {
      title: '公司名称',
      key: 'CompanyName',
      show: true,
    },
    {
      title: '项目工期',
      key: 'Duration',
      show: true,
    },
    {
      title: '建设单位',
      key: 'ConstructionUnit',
      show: true,
    },
    {
      title: '承建单位',
      key: 'UndertakenUnit',
      show: true,
    },
    {
      title: '所在地',
      key: 'Position',
      show: true,
    },

    {
      title: '项目规模',
      key: 'Scale',
      show: true,
    },
    {
      title: '主体工艺',
      key: 'MainProcess',
      show: true,
    },
    {
      title: '员工人数',
      key: 'CompanyNumber',
      show: true,
    },
    {
      title: '服务范围',
      key: 'ServiceScope',
      show: true,
    },
    {
      title: '签约时间',
      key: 'ContractTime',
      show: true,
    },
    {
      title: '运营服务时间',
      key: 'ServiceTime',
      show: true,
    },
    {
      title: '合作模式',
      key: 'CooperateMode',
      show: true,
    },
    {
      title: '出水执行标准',
      key: 'WaterStandard',
      show: true,
    },
    {
      title: '核心管理人员',
      key: 'Admin',
      show: true,
    },
    {
      title: '项目成员',
      key: 'User',
      show: true,
    },
    {
      title: '项目描述',
      key: 'Remark',
      show: true,
    },
  ],
  AlarmCenter: [
    { title: '全部', key: 4, show: true },
    {
      title: '待办事项',
      key: 3,
      show: true,
    },
    {
      title: '异常报警',
      key: 1,
      show: true,
    },
    {
      title: '逾期预警',
      key: 2,
      show: true,
    },
  ],
  MessageCenter: [
    {
      title: '消息推送',
      key: 1,
      show: true,
    },
    {
      title: '新闻动态',
      key: 2,
      show: true,
    },
    {
      title: '大事记',
      key: 3,
      show: true,
    },
    {
      title: '所获奖项',
      key: 4,
      show: true,
    },
  ],
  PlanManagement: [
    // {
    //   title: '设计',
    //   key: 1,
    //   show: true,
    // },
    // {
    //   title: '采购',
    //   key: 2,
    //   show: true,
    // },
    {
      title: '到货',
      key: 1,
      show: true,
    },
    {
      title: '施工',
      key: 2,
      show: true,
    },
    {
      title: '单机调试',
      key: 3,
      show: true,
    },
    {
      title: '系统调试',
      key: 4,
      show: true,
    },
    {
      title: '试运行',
      key: 5,
      show: true,
    },
    // {
    //   title: '维修',
    //   key: 6,
    //   show: true,
    // },
    {
      title: '项目动态',
      key: 7,
      show: true,
    },
    // {
    //   title: '巡检',
    //   key: 7,
    //   show: true,
    // },
    // {
    //   title: '其它',
    //   key: 8,
    //   show: true,
    // },
  ],
  Other: [
    {
      title: '安全操作规范',
      key: 1,
      show: true,
    },
    {
      title: '项目日志',
      key: 2,
      show: true,
    },
  ],
  Monitor: [],
  DebugData: [],
  DataCenter: [
    {
      title: '水质管理',
      key: 1,
      show: true,
    },
    {
      title: '水质指标',
      key: 2,
      show: true,
    },
    {
      title: '客户满意度',
      key: 3,
      show: true,
    },
    {
      title: '设备完好率',
      key: 4,
      show: true,
    },
    {
      title: 'KPI',
      key: 5,
      show: true,
      children: [
        {
          title: '累计EBITDA',
          key: 11,
          show: true,
        },
        {
          title: '累计经营性净现金流',
          key: 12,
          show: true,
        },
      ],
    },
    {
      title: '水量计费',
      key: 6,
      show: true,
    },
    {
      title: '预算成本',
      key: 7,
      show: true,
      children: [
        {
          title: '累计成本支出',
          key: 13,
          show: true,
        },
        {
          title: '累计月度吨水成本',
          key: 14,
          show: true,
        },
      ],
    },
    {
      title: '季度绩效',
      key: 8,
      show: true,
    },
    {
      title: '化学实验室数据',
      key: 9,
      show: true,
    },
    {
      title: '安全生产天',
      key: 10,
      show: true,
    },
    // {
    //   title: '调试数据',
    //   key: 11,
    //   show: true,
    // },
  ],
};

export const DEFAULT_LAYOUT: DataMeter.ILayout[] = [
  {
    i: '41',
    key: 'AlarmCenter',
    w: 8,
    h: 5,
    x: 28,
    y: 14,
    child: [
      { title: '全部', key: 4, show: true },
      { title: '待办事项', key: 3, show: true },
      { title: '异常报警', key: 1, show: true },
      { title: '逾期预警', key: 2, show: true },
    ],
    moved: false,
    static: false,
    active: 2,
  },
  {
    i: '40',
    key: 'DataCenter',
    active: 11,
    w: 6,
    h: 5,
    x: 42,
    y: 14,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '39',
    key: 'DataCenter',
    active: '4',
    w: 6,
    h: 5,
    x: 42,
    y: 9,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '38',
    key: 'DataCenter',
    active: '2',
    w: 6,
    h: 5,
    x: 42,
    y: 4,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '37',
    key: 'DataCenter',
    active: 10,
    w: 6,
    h: 4,
    x: 42,
    y: 0,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '36',
    key: 'DataCenter',
    active: '1',
    w: 6,
    h: 5,
    x: 36,
    y: 4,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '35',
    key: 'DataCenter',
    active: 13,
    w: 7,
    h: 5,
    x: 7,
    y: 14,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '34',
    key: 'DataCenter',
    active: '8',
    w: 7,
    h: 5,
    x: 0,
    y: 14,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '33',
    key: 'DataCenter',
    active: 11,
    w: 7,
    h: 4,
    x: 7,
    y: 10,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '32',
    key: 'DataCenter',
    active: '2',
    w: 7,
    h: 5,
    x: 7,
    y: 5,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '31',
    key: 'DataCenter',
    active: '1',
    w: 7,
    h: 5,
    x: 0,
    y: 0,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '30',
    key: 'DataCenter',
    w: 7,
    h: 5,
    x: 7,
    y: 0,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: '累计EBITDA', key: 11, show: true },
      { title: '累计经营性净现金流', key: 12, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '累计成本支出', key: 13, show: true },
      { title: '累计月度吨水成本', key: 14, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 12,
  },
  {
    i: '29',
    key: 'DataCenter',
    w: 6,
    h: 5,
    x: 36,
    y: 14,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '20',
    key: 'DataCenter',
    w: 6,
    h: 5,
    x: 36,
    y: 9,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 3,
  },
  {
    i: '14',
    key: 'DataCenter',
    w: 7,
    h: 5,
    x: 0,
    y: 5,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 3,
  },
  {
    i: '12',
    key: 'PlanManagement',
    w: 6,
    h: 4,
    x: 36,
    y: 0,
    child: [
      { title: '设计', key: 1, show: true },
      { title: '采购', key: 2, show: true },
      { title: '施工', key: 3, show: true },
      { title: '调试', key: 4, show: true },
      { title: '保养', key: 5, show: true },
      { title: '维修', key: 6, show: true },
      { title: '项目动态', key: 7, show: true },
    ],
    moved: false,
    static: false,
    active: 1,
  },
  {
    i: '10',
    key: 'PlanManagement',
    w: 7,
    h: 4,
    x: 0,
    y: 10,
    child: [
      { title: '设计', key: 1, show: true },
      { title: '采购', key: 2, show: true },
      { title: '施工', key: 3, show: true },
      { title: '调试', key: 4, show: true },
      { title: '保养', key: 5, show: true },
      { title: '维修', key: 6, show: true },
      { title: '项目动态', key: 7, show: true },
    ],
    moved: false,
    static: false,
    active: 2,
  },
  {
    i: '8',
    key: 'ProjectInfo',
    w: 14,
    h: 5,
    x: 14,
    y: 14,
    active: 1,
    child: [
      { title: '项目编号', key: 'Code', show: true },
      { title: '项目工期', key: 'Duration', show: true },
      { title: '建设单位', key: 'ConstructionUnit', show: true },
      { title: '承建单位', key: 'UndertakenUnit', show: true },
      { title: '所在地', key: 'Position', show: true },
      { title: '项目规模', key: 'Scale', show: true },
      { title: '主体工艺', key: 'MainProcess', show: true },
      { title: '服务范围', key: 'ServiceScope', show: true },
      { title: '签约时间', key: 'ContractTime', show: true },
      { title: '运营服务时间', key: 'ServiceTime', show: true },
      { title: '合作模式', key: 'CooperateMode', show: true },
      { title: '出水执行标准', key: 'WaterStandard', show: true },
      { title: '核心管理人员', key: 'Admin', show: true },
      { title: '项目成员', key: 'User', show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '7',
    key: 'Map',
    w: 22,
    h: 14,
    x: 14,
    y: 0,
    moved: false,
    static: false,
  },
];
export const DEFAULT_MAP_LAYOUT: DataMeter.ILayout[] = [
  {
    i: '20',
    key: 'DataCenter',
    w: 14,
    h: 7,
    x: 0,
    y: 0,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '19',
    key: 'DataCenter',
    w: 7,
    h: 7,
    x: 7,
    y: 13,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 9,
  },
  {
    i: '18',
    key: 'DataCenter',
    w: 7,
    h: 6,
    x: 0,
    y: 13,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 3,
  },
  {
    i: '17',
    key: 'DataCenter',
    w: 7,
    h: 6,
    x: 7,
    y: 7,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 7,
  },
  {
    i: '15',
    key: 'DataCenter',
    w: 13,
    h: 6,
    x: 35,
    y: 6,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 6,
  },
  {
    i: '12',
    key: 'DataCenter',
    w: 7,
    h: 6,
    x: 0,
    y: 7,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 5,
  },
  {
    i: '11',
    key: 'DataCenter',
    w: 13,
    h: 7,
    x: 35,
    y: 12,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
    active: 4,
  },
  {
    i: '7',
    key: 'Map',
    w: 21,
    h: 12,
    x: 14,
    y: 0,
    moved: false,
    static: false,
  },
  {
    i: '5',
    key: 'AlarmCenter',
    w: 10,
    h: 6,
    x: 25,
    y: 12,
    active: 3,
    child: [
      { title: '待办事项', key: 3, show: true },
      { title: '异常报警', key: 1, show: true },
      { title: '项目预警', key: 2, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '3',
    key: 'DataCenter',
    w: 13,
    h: 6,
    x: 35,
    y: 0,
    active: 10,
    child: [
      { title: '水质管理', key: 1, show: true },
      { title: '水质指标', key: 2, show: true },
      { title: '客户满意度', key: 3, show: true },
      { title: '设备完好率', key: 4, show: true },
      { title: 'KPI', key: 5, show: true },
      { title: '水量计费', key: 6, show: true },
      { title: '预算成本', key: 7, show: true },
      { title: '季度绩效', key: 8, show: true },
      { title: '化学实验室数据', key: 9, show: true },
      { title: '安全生产天', key: 10, show: true },
    ],
    moved: false,
    static: false,
  },
  {
    i: '2',
    key: 'MessageCenter',
    w: 11,
    h: 6,
    x: 14,
    y: 12,
    active: 1,
    child: [
      { title: '消息推送', key: 1, show: true },
      { title: '新闻动态', key: 2, show: true },
      { title: '大事记', key: 3, show: true },
      { title: '所获奖项', key: 4, show: true },
    ],
    moved: false,
    static: false,
  },
];

export const U3D_PATH_STATE = {
  ProjectInfo: 1,
  AlarmCenter: {
    3: 53,
    1: 39,
    2: 54,
  },
  MessageCenter: {
    1: 54,
  },
  FileManagement: [27, 44],
  Monitor: 100,
  PlanManagement: {
    1: 48,
    2: 49,
    3: 50,
    4: 50,
    5: 51,
  },
  Other: {
    2: 35,
  },
};

export const COL_COLS: number = 48;
export const ROW_COLS: number = 24;
